org.apache.avro

## Enum Resolver.Action.Type

- java.lang.Object
- - java.lang.Enum<Resolver.Action.Type>
  - - org.apache.avro.Resolver.Action.Type

- All Implemented Interfaces:
    Serializable, Comparable<Resolver.Action.Type>
  Enclosing class:
    Resolver.Action

      public static enum Resolver.Action.Type
      extends Enum<Resolver.Action.Type>

  Helps us traverse faster.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTAINER`
    `DO_NOTHING`
    `ENUM`
    `ERROR`
    `PROMOTE`
    `READER_UNION`
    `RECORD`
    `SKIP`
    `WRITER_UNION`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Resolver.Action.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Resolver.Action.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DO_NOTHING

          public static final Resolver.Action.Type DO_NOTHING

    - #### ERROR

          public static final Resolver.Action.Type ERROR

    - #### PROMOTE

          public static final Resolver.Action.Type PROMOTE

    - #### CONTAINER

          public static final Resolver.Action.Type CONTAINER

    - #### ENUM

          public static final Resolver.Action.Type ENUM

    - #### SKIP

          public static final Resolver.Action.Type SKIP

    - #### RECORD

          public static final Resolver.Action.Type RECORD

    - #### WRITER_UNION

          public static final Resolver.Action.Type WRITER_UNION

    - #### READER_UNION

          public static final Resolver.Action.Type READER_UNION

  - ### Method Detail

    - #### values

          public static Resolver.Action.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Resolver.Action.Type c : Resolver.Action.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Resolver.Action.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.